﻿<%@ Page Language="C#" MasterPageFile="~/Modules/Integration.Master" AutoEventWireup="true"
    CodeBehind="InstallParameter.aspx.cs" Inherits="BlueDot.Eam.Work.Server.Integration.InstallParameter"
    Title="<%$ resources:PageHeaderText %>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="contentHolder" runat="server">
    <div class="subhead">
        <table width="100%">
            <tr>
                <td align="left"><asp:Literal ID="Literal1" runat="server" Text="<%$ resources:PageHeaderText %>"/></td>
                <td align="right"><asp:CheckBox ID="rawEditMode" runat="server" Text="<%$ resources:RawEditMode %>" OnCheckedChanged="rawEditMode_OnCheckedChanged" /></td>
            </tr>
        </table>
    </div>
    <br />
    
    <table cellspacing="0" cellpadding="5" width="100%" class="tableservices">
        <asp:Repeater runat="server" ID="parameterRepeater" OnItemDataBound="parameterRepeater_OnItemDataBound" >
            <HeaderTemplate>
                <tr>
                    <td class="tableservices"><b>Parameter Id</b></td>
                    <td class="tableservices"><b>Value</b></td>
                    <td class="tableservices"><b>Description</b></td>
                    <td class="tableservices"><b>Action</b></td>
                </tr>    
            </HeaderTemplate>
            <ItemTemplate>
                <tr class="tableservices">
                    <td class="tableservices"><%# DataBinder.Eval(Container, "DataItem.ParameterId") %></td>
                    <asp:Tablecell runat="server" ID="itemValue" CssClass="tableservices"><%# Server.HtmlEncode(DataBinder.Eval(Container, "DataItem.ParameterValue").ToString()) %></asp:Tablecell>
                    <asp:Tablecell runat="server" ID="itemControl" CssClass="tableservices" Visible="false" />
                    <td class="tableservices"><%# Server.HtmlEncode(DataBinder.Eval(Container, "DataItem.Description").ToString()) %></td>
                    <asp:Tablecell ID="Tablecell1" runat="server" CssClass="tableservices" Wrap="false">
                        <asp:LinkButton runat="server" ID="editButton" Text="Edit" OnClick="editButton_Click" CommandName='<%# DataBinder.Eval(Container, "DataItem.ParameterId") %>' />
                        <asp:LinkButton runat="server" ID="updateButton" Text="Update" OnClick="updateButton_Click" Visible="false" CommandName='<%# DataBinder.Eval(Container, "DataItem.ParameterId") %>' />&nbsp;
                        <asp:LinkButton runat="server" ID="cancelButton" Text="Cancel" OnClick="cancelButton_Click" Visible="false" />
                    </asp:Tablecell>
                </tr>
            </ItemTemplate>
            <AlternatingItemTemplate>
                <tr class="tableservices" style="background-color:#F3F4E4">
                    <td class="tableservices"><%# DataBinder.Eval(Container, "DataItem.ParameterId") %></td>
                    <asp:Tablecell runat="server" ID="itemValue" CssClass="tableservices"><%# Server.HtmlEncode(DataBinder.Eval(Container, "DataItem.ParameterValue").ToString())%></asp:Tablecell>
                    <asp:Tablecell runat="server" ID="itemControl" CssClass="tableservices" Visible="false" />
                    <td class="tableservices"><%# Server.HtmlEncode(DataBinder.Eval(Container, "DataItem.Description").ToString()) %></td>
                    <asp:Tablecell ID="Tablecell2" runat="server" CssClass="tableservices" Wrap="false">
                        <asp:LinkButton runat="server" ID="editButton" Text="Edit" OnClick="editButton_Click" CommandName='<%# DataBinder.Eval(Container, "DataItem.ParameterId") %>' />
                        <asp:LinkButton runat="server" ID="updateButton" Text="Update" OnClick="updateButton_Click" Visible="false" CommandName='<%# DataBinder.Eval(Container, "DataItem.ParameterId") %>' />&nbsp;
                        <asp:LinkButton runat="server" ID="cancelButton" Text="Cancel" OnClick="cancelButton_Click" Visible="false" />
                    </asp:Tablecell>
                </tr>
            </AlternatingItemTemplate>
        </asp:Repeater>
    </table>    
</asp:Content>
